<?xml version='1.0' encoding='utf-8'?>
<manifest
    xmlns:android="http://schemas.android.com/apk/res/android"
    package="cc.winboll.studio.apputils">
	
	<!-- 读取外部存储权限（Android 10 以下） -->
	<uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
		
    <application
        android:name=".App"
        android:allowBackup="true"
        android:icon="@drawable/ic_winboll"
        android:label="@string/app_name"
        android:theme="@style/MyUtilsTheme"
        android:supportsRtl="true"
        android:resizeableActivity="true"
		android:screenOrientation="unspecified"
		android:requestLegacyExternalStorage="true">

        <activity
            android:name=".MainActivity"
            android:label="@string/app_name"
            android:launchMode="singleTask"
            android:exported="true">

            <intent-filter>

                <action android:name="android.intent.action.MAIN"/>

                <category android:name="android.intent.category.LAUNCHER"/>

            </intent-filter>

        </activity>

        <activity android:name=".TestStringToQRCodeViewActivity"/>

        <activity android:name=".TestBBMorseCodeActivity"/>

        <activity android:name=".AssetsHtmlActivity"/>

        <activity android:name=".QRCodeDecodeActivity"/>

        <activity android:name=".QRGeneratorActivity"/>

    </application>

</manifest>
